package cn.com.qmth.examcloud.core.questions.dao.entity.dto;

import java.util.List;

import cn.com.qmth.examcloud.core.questions.dao.entity.Property;

/**
 * @author weiwenhai
 * @describle 属性Dto
 * @date 2017.11.6
 */
public class PropertyDto {

    private Long id;

    private Long coursePropertyId;

    private String name;

    private Integer number;

    private Long parentId;

    private String remark;

    private List<PropertyDto> propertyDtos;

    public PropertyDto() {
    }

    public PropertyDto(Property property) {
        this.id = property.getId();
        this.coursePropertyId = property.getCoursePropertyId();
        this.name = property.getName();
        this.number = property.getNumber();
        this.remark = property.getRemark();
        this.parentId = property.getParentId();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCoursePropertyId() {
        return coursePropertyId;
    }

    public void setCoursePropertyId(Long coursePropertyId) {
        this.coursePropertyId = coursePropertyId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<PropertyDto> getPropertyDtos() {
        return propertyDtos;
    }

    public void setPropertyDtos(List<PropertyDto> propertyDtos) {
        this.propertyDtos = propertyDtos;
    }

}
